Processing: help users in setting up paths

2016-10-25 05:37 AM - Paolo Cavallini

Status: Open

Priority: Normal

Assignee:

Category: Processing/Core

Affected QGIS version:3.6.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23675

Description

People are very often into trouble when it comes to enter the path to specific backends for Processing (e.g. OTB, LASTools, etc.).

Possible partial solutions:

add a check, so if the user enters a wrong path or the filepath instead of the folder, a small dialog with a short explanation can pop

up

    adding a small help button close to the path text box can also help.

Possibly a separate issue: it seems that a user has to enter a path including the filename, even when a folder is necessary: pretty

confusing IMHO.

History

#1 - 2016-10-25 05:39 AM - Paolo Cavallini

Ticket recreated, deleted by mistake. Comment by Alexander Bruy:===

Are you using static package or install OTB from repository?

For me using OTB version from repository works fine without any additional configuration===

I think config is needed for Osgeo4w packages

#2 - 2017-05-01 01:02 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#3 - 2018-02-24 04:28 PM - Paolo Cavallini

- Assignee deleted (Victor Olaya)

- Description updated

Seems solved in QGIS 3. Reopen if necessary.

#4 - 2018-02-24 05:03 PM - Giovanni Manghi

- Resolution set to fixed/implemented

#5 - 2019-03-09 03:09 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution changed from fixed/implemented to end of life
End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.

#6 - 2019-03-09 03:24 PM - Paolo Cavallini

- Status changed from Closed to Reopened

- Affected QGIS version changed from 2.18.0 to 3.6.0

Still true in 3.6

#7 - 2019-03-09 03:27 PM - Giovanni Manghi

- Resolution deleted (end of life)

- Status changed from Reopened to Open
